Loading...
Searching...
No Matches
EST_Server::BufferedSocket Class Reference

## Public Member Functions

| BufferedSocket (int socket)
void | ensure (int n)
int | read_data (void)

## Public Attributes

int | s
int | bpos
int | blen
char * | buffer

## Detailed Description

Definition at line 103 of file EST_Server.h.

## Member Data Documentation

## s

int EST_Server::BufferedSocket::s

Definition at line 106 of file EST_Server.h.

## bpos

int EST_Server::BufferedSocket::bpos

Definition at line 107 of file EST_Server.h.

## blen

int EST_Server::BufferedSocket::blen

Definition at line 108 of file EST_Server.h.

## buffer

char* EST_Server::BufferedSocket::buffer

Definition at line 109 of file EST_Server.h.

The documentation for this class was generated from the following file:

- include/EST_Server.h